Commit fae4cdbf authored by mathieu _alkama_ m's avatar mathieu _alkama_ m Committed by Gargaj
Browse files

Replicate the CMake warning fix that GLFW33 uses.

Cherry pick the CMake warning fix used for future version of GLFW so that the CI stops complaining.
parent 449e5984
project(Bonzomatic)
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_OSX_ARCHITECTURES x86_64)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
......
......@@ -2,13 +2,7 @@ set(CMAKE_LEGACY_CYGWIN_WIN32 OFF)
project(GLFW C)
cmake_minimum_required(VERSION 2.8.12)
if (NOT CMAKE_VERSION VERSION_LESS "3.0")
# Until all major package systems have moved to CMake 3,
# we stick with the older INSTALL_NAME_DIR mechanism
cmake_policy(SET CMP0042 OLD)
endif()
cmake_minimum_required(VERSION 3.0)
set(GLFW_VERSION_MAJOR "3")
set(GLFW_VERSION_MINOR "2")
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment